CdsRestDataProvider::CdsRestDataProviderFactory Class Reference

The CdsRest data provider factory. More...

Inherits AbstractDataProviderFactory.

## Protected Member Functions

Class | getClassImpl ()
| Returns the class for the data provider object.
hash< DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info. More...
hash< DataProvider::DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information. More...

## Protected Attributes

const | FactoryInfo = ...
| Factory info.

## Static Protected Attributes

static Class | cls = new Class("CdsRestDataProvider")
| Data provider type info.

## Detailed Description

The CdsRest data provider factory.

## Member Function Documentation

## getInfoImpl()

hash<DataProviderFactoryInfo> CdsRestDataProvider::CdsRestDataProviderFactory::getInfoImpl | ( |  | ) |

protected

Returns static factory information without provider_info.

Returns
  static factory information without provider_info which is provided by getProviderInfo()

## getProviderInfoImpl()

hash<DataProvider::DataProviderInfo> CdsRestDataProvider::CdsRestDataProviderFactory::getProviderInfoImpl | ( |  | ) |

protected

Returns static provider information.

Note
  The `name` and `children` attributes are not returned as they are dynamic attributes